Package org.snpeff.motif

# Class Jaspar

java.lang.Object
org.snpeff.motif.Jaspar

All Implemented Interfaces:
  `Iterable<Pwm>`

public class Jaspar extends Object implements Iterable<Pwm>
Load PWM matrices from a Jaspar file

Author:
  pablocingolani

## Constructor Summary

Constructors
Constructor
Description
`Jaspar()`

## Method Summary

Modifier and Type
Method
Description
`Pwm`
`getPwm(String pwmId)`
`Iterator<Pwm>`
`iterator()`
`void`
`load(String jasparMatrixFile)`
Load matrix file
`void`
`setVerbose(boolean verbose)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Constructor Details

### Jaspar

public Jaspar()

## Method Details

### getPwm

public Pwm getPwm(String pwmId)

### iterator

public Iterator<Pwm> iterator()

Specified by:
  `iterator` in interface `Iterable<Pwm>`

### load

public void load(String jasparMatrixFile)
Load matrix file

Parameters:
  `jasparMatrixFile` -

### setVerbose

public void setVerbose(boolean verbose)